.TH Concept "Format Codes"
.s3
Most of the unit-reporting commands (`ship', `plane', `spy', etc) give
you the option of modifying their output format by adding an optional
format string parameter.  For example, to report just unit ID numbers,
types, coordinates, names, and amount of food aboard, you could use:
.NF

.EXship * Nf

.FI
Lowercase format codes cause corresponding commodities to be
included in the report.  Uppercase format codes cause special
attributes (listed in the accompanying table) to be included 
in the report.  
.s1
If you specify ONLY lowercase commodity codes, a predefined set
of uppercase special attribute codes will automatically be appended 
to your commodity list.  Exactly which attributes will be added 
depends on the type of report being generated.  If you include 
ANY uppercase codes, your list will be used as is without prepending 
the predefined set.
.s1
All reports are guaranteed to include unit ID, unit type, and
current coordinates, regardless of whether you want them or not.
.s1
Information is positionally reported as specified by the order
of the code letters you specify.
.s1
.NF
                          REPORT FORMAT CODES

CODE   SHIPS/VEHICLES       ARMIES           SPIES            PLANES      
      ________________ ________________ ________________ ________________ 
     |                |                |                |                |
  A  | numeric alt    |                | age            | attack         |
  B  | balloon alt    | host country   | host country   |                |
  C  | x/y coord      | x/y coord      | x/y coord      | x/y coord      |
  D  | sub depth      |                | education      | defense        |
  E  | efficiency     | efficiency     | efficiency     | efficiency     |
  F  | fleet/convoy id| group id       | ring id        | wing id        |
  G  | air            |                |                | gdr            |
  H  |                |                | happiness      | harden         |
  I  | ID number      | ID number      | ID number      | ID number      |
  K  | autonav dest   |                | accuracy       |                |
  M  | mobility       | mobility       | mobility       | mobility       |
  N  | name           | name           | name           | nukes          |
  O  | owner          | owner          | owner          | owner          |
  P  | planes aboard  |                | pilot tech     |                |
  R  | autonav eta    |                |                | range          |
  S  | ship           | ship           | ship           | ship           |
  T  | tech level     | tech level     | tech level     | tech level     |
  U  | vehicle type   | army type      | spy type       | plane type     |
  V  | orbit vector   |                |                | orbit vector   |
  Y  | efficiency/mu  | efficiency/mu  | efficiency/mu  | efficiency/mu  |
  Z  | tanks aboard   |                |                |                |
     |________________|________________|________________|________________|
     |                                                  |                |
 a-z |    display corresponding commodities aboard      |                |
     |__________________________________________________|________________|
.FI
.s3
See also : syntax
